import { SubAgentsService } from './sub-agents.service';
import { CreateSubAgentDto } from './dto/create-sub-agent.dto';
import { UpdateSubAgentDto } from './dto/update-sub-agent.dto';
export declare class SubAgentsController {
    private readonly subAgentsService;
    constructor(subAgentsService: SubAgentsService);
    create(createSubAgentDto: CreateSubAgentDto): Promise<import("./sub-agent.entity").SubAgent>;
    findAll(activeOnly?: boolean): Promise<import("./sub-agent.entity").SubAgent[]>;
    findOne(id: string): Promise<import("./sub-agent.entity").SubAgent>;
    update(id: string, updateSubAgentDto: UpdateSubAgentDto): Promise<import("./sub-agent.entity").SubAgent>;
    remove(id: string): Promise<void>;
    duplicate(id: string): Promise<import("./sub-agent.entity").SubAgent>;
}
